Bug 1845860 - hammer org add-provisioning-template command returns Error: undefined method `[]' for nil:NilClass
Summary: hammer org add-provisioning-template command returns Error: undefined method ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: Oleh Fedorenko
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-10 09:33 UTC by Roman Plevka
Modified: 2020-10-27 13:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 30125 Normal Closed hammer org add-provisioning-template command returns Error: undefined method `[]' for nil:NilClass 2020-10-28 17:41:59 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:03:39 UTC

Description Roman Plevka 2020-06-10 09:33:49 UTC
Description of problem:
the `hammer org add-provisioning-template` command doesn't seem to work at all.
None of the 
 --provisioning-template[-id]
 --provisioning-template-ids
 --provisioning-template-search
 --provisioning-templates
options work (the search for the given provisioning templates works as intended, but the final PUT request to the traget org throws an error)


NoMethodError (undefined method `[]' for nil:NilClass):
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.0/lib/hammer_cli_foreman/associating_commands.rb:248:in `request_params'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/apipie/command.rb:98:in `extended_request'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/apipie/command.rb:53:in `send_request'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.0/lib/hammer_cli_foreman/commands.rb:188:in `send_request'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/apipie/command.rb:34:in `execute'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/abstract.rb:77:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/abstract.rb:77:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/lib/hammer_cli/abstract.rb:77:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'
    /opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.0/bin/hammer:147:in `<top (required)>'
    /usr/bin/hammer:23:in `load'
    /usr/bin/hammer:23:in `<main>'


the debug output shows that the provisioning template was retrieved:
[ INFO 2020-06-10T05:30:00 HammerCLIForeman::Organization::OrganizationAddProvisioningTemplateCommand] Called with options: {"option_id"=>"1", "option_provisioning_template_ids"=>[186], "option_provisioning_template_names"=>["foo"]}


Version-Release number of selected component (if applicable):
6.8.0-3

How reproducible:
always

Steps to Reproduce:
1. create new org
2. create new provisioning template of any type and assign it to Default Org only
3. try to assign the new provisioning template with the new org using hammer:

hammer -d org add-provisioning-template --id <new_org_id> --provisioning-templates <new_ptemplate_name>


Actual results:
NoMethodError (undefined method `[]' for nil:NilClass)

Expected results:
just works

Comment 2 Oleh Fedorenko 2020-06-15 17:39:32 UTC
Created redmine issue https://projects.theforeman.org/issues/30125 from this bug

Comment 4 Bryan Kearney 2020-06-15 20:03:55 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 5 Bryan Kearney 2020-06-16 16:04:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/30125 has been resolved.

Comment 8 Roman Plevka 2020-09-30 10:37:48 UTC
VERIFIED
on sat6.8.0-17

the association can be made again using the mentioned hammer commands.

# hammer -d org add-provisioning-template --id 1 --provisioning-template-ids 11,13

[ INFO 2020-09-30T06:29:19 Init] Initialization of Hammer CLI (2.1.2) has started...
[DEBUG 2020-09-30T06:29:19 Init] Running at ruby 2.5.5-p157
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_admin.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_admin_logging_core.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_admin_logging_katello.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_ansible.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_azure_rm.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_bootdisk.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_discovery.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_docker.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_openscap.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_remote_execution.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_tasks.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_templates.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_virt_who_configure.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[ INFO 2020-09-30T06:29:19 Init] Configuration from the file /root/.hammer/cli.modules.d/foreman.yml has been loaded
[DEBUG 2020-09-30T06:29:19 SSLoptions] SSL options: {
    :ssl_ca_file => "/etc/pki/katello/certs/katello-server-ca.crt",
     :verify_ssl => true
}
[DEBUG 2020-09-30T06:29:19 API] Global headers: {
        :content_type => "application/json",
              :accept => "application/json;version=2",
    "Accept-Language" => "en"
}
[DEBUG 2020-09-30T06:29:19 API] Follow redirects: never
[DEBUG 2020-09-30T06:29:19 Connection] Registered: foreman
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::OptionSources] Added predefined options for HammerCLIForeman::Command: 
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::OptionSources for *all* except *nothing* on HammerCLIForeman::Command.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::Fields] Added predefined options for HammerCLIForeman::ListCommand: [:fields]
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::Fields for *all* except *nothing* on HammerCLIForeman::ListCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::Fields] Added predefined options for HammerCLIForeman::InfoCommand: [:fields]
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::Fields for *all* except *nothing* on HammerCLIForeman::InfoCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::AssociatingCommands::PuppetEnvironment::AddPuppetEnvironmentCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::AssociatingCommands::PuppetEnvironment::AddPuppetEnvironmentCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::AssociatingCommands::PuppetEnvironment::AddPuppetEnvironmentCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::AssociatingCommands::PuppetEnvironment::RemovePuppetEnvironmentCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::AssociatingCommands::PuppetEnvironment::RemovePuppetEnvironmentCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::AssociatingCommands::PuppetEnvironment::RemovePuppetEnvironmentCommand.
[ INFO 2020-09-30T06:29:19 Modules] Extension module hammer_cli_foreman (2.1.2.1) loaded.
[ INFO 2020-09-30T06:29:19 Modules] Extension module hammer_cli_foreman_admin (0.0.9) loaded.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::SmartClassParameter::ListCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::SmartClassParameter::ListCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::SmartClassParameter::ListCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::PuppetClass::ListCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::PuppetClass::ListCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::PuppetClass::ListCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::PuppetClass::InfoCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::PuppetClass::InfoCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::PuppetClass::InfoCommand.
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::Host::ListCommand: 
[DEBUG 2020-09-30T06:29:19 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::Host::ListCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:19 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::Host::ListCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::Host::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::Host::CreateCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::Host::CreateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces] Added predefined options for HammerCLIForeman::Host::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces] Saved block for HammerCLIForeman::Host::CreateCommand help definition:
	#<Proc:0x00000000032116e8@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/hosts/help/interfaces.rb:6>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces for *all* except *nothing* on HammerCLIForeman::Host::CreateCommand.
[DEBUG 2020-09-30T06:29:20 #<Class:0x0000000003af1420>] Added predefined options for HammerCLIForeman::Host::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 #<Class:0x0000000003af1420>] Saved block for HammerCLIForeman::Host::CreateCommand help definition:
	#<Proc:0x0000000003af12b8@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/hosts/help/compute_resources.rb:45>
[ INFO 2020-09-30T06:29:20 Extensions] Applied #<Class:0x0000000003af1420> for *all* except *nothing* on HammerCLIForeman::Host::CreateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::Host::UpdateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::Host::UpdateCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::Host::UpdateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces] Added predefined options for HammerCLIForeman::Host::UpdateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces] Saved block for HammerCLIForeman::Host::UpdateCommand help definition:
	#<Proc:0x00000000032116e8@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/hosts/help/interfaces.rb:6>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::Hosts::Help::Interfaces for *all* except *nothing* on HammerCLIForeman::Host::UpdateCommand.
[DEBUG 2020-09-30T06:29:20 #<Class:0x00000000043992d0>] Added predefined options for HammerCLIForeman::Host::UpdateCommand: 
[DEBUG 2020-09-30T06:29:20 #<Class:0x00000000043992d0>] Saved block for HammerCLIForeman::Host::UpdateCommand help definition:
	#<Proc:0x0000000004399230@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/hosts/help/compute_resources.rb:45>
[ INFO 2020-09-30T06:29:20 Extensions] Applied #<Class:0x00000000043992d0> for *all* except *nothing* on HammerCLIForeman::Host::UpdateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::Hostgroup::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::Hostgroup::CreateCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::Hostgroup::CreateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::Hostgroup::UpdateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::Hostgroup::UpdateCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::Hostgroup::UpdateCommand.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_ansible (0.3.2) loaded.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_azure_rm (0.2.0) loaded.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_bootdisk (0.3.0) loaded.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_discovery (1.0.2) loaded.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_openscap (0.1.11) loaded.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_foreman_templates (0.2.0) loaded.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Added predefined options for HammerCLIForeman::SmartProxy::ImportPuppetClassesCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironment] Called option family block for HammerCLIForeman::SmartProxy::ImportPuppetClassesCommand:
	#<Proc:0x000000000321d718@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environment.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironment for *all* except *nothing* on HammerCLIForeman::SmartProxy::ImportPuppetClassesCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added predefined options for HammerCLIKatello::Capsule::Content::AddLifecycleEnvironmentCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::AddLifecycleEnvironmentCommand: {:switches=>"--environment", :type=>"ENVIRONMENT_NAME", :description=>"Lifecycle environment name to search by", :opts=>{:attribute_name=>:option_environment_name, :deprecated=>{"--environment"=>"Use --lifecycle-environment instead"}}, :block=>nil}
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::AddLifecycleEnvironmentCommand: {:switches=>"--environment-id", :type=>"ENVIRONMENT_ID", :description=>"", :opts=>{:format=>#<HammerCLI::Options::Normalizers::Number:0x0000000004744290>, :attribute_name=>:option_environment_id, :deprecated=>{"--environment-id"=>"Use --lifecycle-environment-id instead"}}, :block=>nil}
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::LifecycleEnvironment for *all* except *nothing* on HammerCLIKatello::Capsule::Content::AddLifecycleEnvironmentCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added predefined options for HammerCLIKatello::Capsule::Content::RemoveLifecycleEnvironmentCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::RemoveLifecycleEnvironmentCommand: {:switches=>"--environment", :type=>"ENVIRONMENT_NAME", :description=>"Lifecycle environment name to search by", :opts=>{:attribute_name=>:option_environment_name, :deprecated=>{"--environment"=>"Use --lifecycle-environment instead"}}, :block=>nil}
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::RemoveLifecycleEnvironmentCommand: {:switches=>"--environment-id", :type=>"ENVIRONMENT_ID", :description=>"", :opts=>{:format=>#<HammerCLI::Options::Normalizers::Number:0x0000000004744290>, :attribute_name=>:option_environment_id, :deprecated=>{"--environment-id"=>"Use --lifecycle-environment-id instead"}}, :block=>nil}
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::LifecycleEnvironment for *all* except *nothing* on HammerCLIKatello::Capsule::Content::RemoveLifecycleEnvironmentCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added predefined options for HammerCLIKatello::Capsule::Content::SyncCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::SyncCommand: {:switches=>"--environment", :type=>"ENVIRONMENT_NAME", :description=>"Lifecycle environment name to search by", :opts=>{:attribute_name=>:option_environment_name, :deprecated=>{"--environment"=>"Use --lifecycle-environment instead"}}, :block=>nil}
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::Capsule::Content::SyncCommand: {:switches=>"--environment-id", :type=>"ENVIRONMENT_ID", :description=>"", :opts=>{:format=>#<HammerCLI::Options::Normalizers::Number:0x0000000004744290>, :attribute_name=>:option_environment_id, :deprecated=>{"--environment-id"=>"Use --lifecycle-environment-id instead"}}, :block=>nil}
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::LifecycleEnvironment for *all* except *nothing* on HammerCLIKatello::Capsule::Content::SyncCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironments] Added predefined options for HammerCLIForeman::Organization::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironments] Called option family block for HammerCLIForeman::Organization::CreateCommand:
	#<Proc:0x000000000321a630@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environments.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironments for *all* except *nothing* on HammerCLIForeman::Organization::CreateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironments] Added predefined options for HammerCLIForeman::Organization::UpdateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::PuppetEnvironments] Called option family block for HammerCLIForeman::Organization::UpdateCommand:
	#<Proc:0x000000000321a630@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/puppet_environments.rb:11>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::PuppetEnvironments for *all* except *nothing* on HammerCLIForeman::Organization::UpdateCommand.
[ INFO 2020-09-30T06:29:20 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2020-09-30T06:29:20 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added predefined options for HammerCLIKatello::HostErrata::ListCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::HostErrata::ListCommand: {:switches=>"--environment", :type=>"ENVIRONMENT_NAME", :description=>"Lifecycle environment name to search by", :opts=>{:attribute_name=>:option_environment_name, :deprecated=>{"--environment"=>"Use --lifecycle-environment instead"}}, :block=>nil}
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::HostErrata::ListCommand: {:switches=>"--environment-id", :type=>"ENVIRONMENT_ID", :description=>"", :opts=>{:format=>#<HammerCLI::Options::Normalizers::Number:0x0000000004744290>, :attribute_name=>:option_environment_id, :deprecated=>{"--environment-id"=>"Use --lifecycle-environment-id instead"}}, :block=>nil}
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::LifecycleEnvironment for *all* except *nothing* on HammerCLIKatello::HostErrata::ListCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added predefined options for HammerCLIKatello::HostSubscription::CreateCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::HostSubscription::CreateCommand: {:switches=>"--environment", :type=>"ENVIRONMENT_NAME", :description=>"Lifecycle environment name to search by", :opts=>{:attribute_name=>:option_environment_name, :deprecated=>{"--environment"=>"Use --lifecycle-environment instead"}}, :block=>nil}
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::LifecycleEnvironment] Added option for HammerCLIKatello::HostSubscription::CreateCommand: {:switches=>"--environment-id", :type=>"ENVIRONMENT_ID", :description=>"", :opts=>{:format=>#<HammerCLI::Options::Normalizers::Number:0x0000000004744290>, :attribute_name=>:option_environment_id, :deprecated=>{"--environment-id"=>"Use --lifecycle-environment-id instead"}}, :block=>nil}
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::LifecycleEnvironment for *all* except *nothing* on HammerCLIKatello::HostSubscription::CreateCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::Ping] Added predefined options for HammerCLIForeman::PingCommand::ForemanCommand: 
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::Ping for *all* except *nothing* on HammerCLIForeman::PingCommand::ForemanCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::Ping] Added predefined options for HammerCLIForeman::PingCommand::ForemanCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::Ping] Called block for HammerCLIForeman::PingCommand::ForemanCommand output definition:
	#<Proc:0x00000000047153a0@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_katello-0.22.2.1/lib/hammer_cli_katello/command_extensions/ping.rb:13>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::Ping for *all* except *nothing* on HammerCLIForeman::PingCommand::ForemanCommand.
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::Ping for [:data] only on HammerCLIForeman::StatusCommand::ForemanCommand.
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIForeman::CommandExtensions::Status for [:data] only on HammerCLIForeman::StatusCommand::ForemanCommand.
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::Ping] Added predefined options for HammerCLIForeman::StatusCommand::ForemanCommand: 
[DEBUG 2020-09-30T06:29:20 HammerCLIKatello::CommandExtensions::Ping] Called block for HammerCLIForeman::StatusCommand::ForemanCommand output definition:
	#<Proc:0x00000000047153a0@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_katello-0.22.2.1/lib/hammer_cli_katello/command_extensions/ping.rb:13>
[ INFO 2020-09-30T06:29:20 Extensions] Applied HammerCLIKatello::CommandExtensions::Ping for *all* except *nothing* on HammerCLIForeman::StatusCommand::ForemanCommand.
[ INFO 2020-09-30T06:29:20 Modules] Extension module hammer_cli_katello (0.22.2.1) loaded.
[DEBUG 2020-09-30T06:29:20 Init] Using locale 'en'
[DEBUG 2020-09-30T06:29:20 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli-2.1.2/locale'
[DEBUG 2020-09-30T06:29:20 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/locale'
[DEBUG 2020-09-30T06:29:20 Init] 'mo' files for locale domain 'hammer_cli_foreman_docker' loaded from '/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman_docker-0.0.6.4/locale'
[DEBUG 2020-09-30T06:29:20 Init] 'mo' files for locale domain 'hammer-cli-foreman-virt-who-configure' loaded from '/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman_virt_who_configure-0.0.6/locale'
[DEBUG 2020-09-30T06:29:20 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_katello-0.22.2.1/locale'
[ INFO 2020-09-30T06:29:20 HammerCLI::MainCommand] Called with options: {"option_debug"=>true}
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::OptionSources] Called block for HammerCLIForeman::Command option sources:
	#<Proc:0x0000000003218290@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/option_sources.rb:6>
[ INFO 2020-09-30T06:29:20 HammerCLIKatello::Organization] Called with options: {}
[DEBUG 2020-09-30T06:29:20 HammerCLIForeman::CommandExtensions::OptionSources] Called block for HammerCLIForeman::Command option sources:
	#<Proc:0x0000000003218290@/opt/theforeman/tfm/root/usr/share/gems/gems/hammer_cli_foreman-2.1.2.1/lib/hammer_cli_foreman/command_extensions/option_sources.rb:6>
[ INFO 2020-09-30T06:29:20 HammerCLIForeman::Organization::OrganizationAddProvisioningTemplateCommand] Called with options: {"option_id"=>"1", "option_provisioning_template_ids"=>["11", "13"]}
[ INFO 2020-09-30T06:29:20 API] Server: https://<fqdn>
[ INFO 2020-09-30T06:29:20 API] GET /katello/api/organizations/1
[DEBUG 2020-09-30T06:29:20 API] Params: {}
[DEBUG 2020-09-30T06:29:20 API] Headers: {
    :params => {}
}
[DEBUG 2020-09-30T06:29:20 API] Using authenticator: HammerCLIForeman::Api::InteractiveBasicAuth
[DEBUG 2020-09-30T06:29:21 API] Response: {
                      "label" => "Default_Organization",
      "redhat_repository_url" => "https://cdn.redhat.com",
            "system_purposes" => {
               "addons" => [],
                "roles" => [
            [0] "",
            [1] "Red Hat Enterprise Linux Server"
        ],
                "usage" => [
            [0] "Development/Test",
            [1] "Production"
        ],
        "support_level" => [
            [0] "Premium",
            [1] "Self-Support"
        ]
    },
             "service_levels" => [
        [0] "Premium",
        [1] "Self-Support"
    ],
              "service_level" => nil,
           "select_all_types" => [],
                "description" => nil,
                 "created_at" => "2020-09-17 19:28:35 UTC",
                 "updated_at" => "2020-09-30 10:22:17 UTC",
                   "ancestry" => nil,
                  "parent_id" => nil,
                "parent_name" => nil,
                         "id" => 1,
                       "name" => "Default Organization",
                      "title" => "Default Organization",
                      "users" => [
        [0] {
                     "id" => 4,
                  "login" => "admin",
            "description" => nil,
              "inherited" => false
        },
        ...
    ],
              "smart_proxies" => [
        [0] {
                 "name" => "<fqdn>",
                   "id" => 1,
                  "url" => "https://<fqdn>:9090",
            "inherited" => false
        }
    ],
                    "subnets" => [],
          "compute_resources" => [],
                      "media" => [
        [ 0] {
                   "id" => 1,
                 "name" => "CentOS 7 mirror",
            "inherited" => false
        },
         ...
    ],
                    "ptables" => [
        [ 0] {
            "description" => nil,
              "os_family" => "Suse",
             "created_at" => "2020-09-17 19:28:38 UTC",
             "updated_at" => "2020-09-17 19:28:38 UTC",
                   "name" => "AutoYaST entire SCSI disk",
                     "id" => 106,
              "inherited" => false
        },
        ...
    ],
     "provisioning_templates" => [
        [  0] {
                            "id" => 43,
                          "name" => "Alterator default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  1] {
                            "id" => 28,
                          "name" => "Alterator default finish",
              "template_kind_id" => 7,
            "template_kind_name" => "finish",
                     "inherited" => false
        },
        [  2] {
                            "id" => 10,
                          "name" => "Alterator default PXELinux",
              "template_kind_id" => 2,
            "template_kind_name" => "PXELinux",
                     "inherited" => false
        },
        [  3] {
                            "id" => 59,
                          "name" => "alterator_pkglist",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  4] {
                            "id" => 60,
                          "name" => "ansible_provisioning_callback",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  5] {
                            "id" => 61,
                          "name" => "ansible_tower_callback_script",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  6] {
                            "id" => 62,
                          "name" => "ansible_tower_callback_service",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  7] {
                            "id" => 44,
                          "name" => "Atomic Kickstart default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  8] {
                            "id" => 45,
                          "name" => "AutoYaST default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  9] {
                            "id" => 36,
                          "name" => "AutoYaST default iPXE",
              "template_kind_id" => 5,
            "template_kind_name" => "iPXE",
                     "inherited" => false
        },
        [ 10] {
                            "id" => 11,
                          "name" => "AutoYaST default PXELinux",
              "template_kind_id" => 2,
            "template_kind_name" => "PXELinux",
                     "inherited" => false
        },
        [ 12] {
                            "id" => 46,
                          "name" => "AutoYaST SLES default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        ...
    ],
                    "domains" => [
        [0] {
                   "id" => 1,
                 "name" => "vms.sat.rdu2.redhat.com",
            "inherited" => false
        }
    ],
                     "realms" => [],
               "environments" => [
        [0] {
                 "name" => "production",
                   "id" => 1,
            "inherited" => false
        }
    ],
                 "hostgroups" => [],
                  "locations" => [
        [0] {
                     "id" => 2,
                   "name" => "Default Location",
                  "title" => "Default Location",
            "description" => nil
        }
    ],
                "hosts_count" => 2,
                 "parameters" => [],
      "simple_content_access" => false,
              "owner_details" => {
                      "id" => "8a8182e0749d882f01749d8a4fb70001",
                     "key" => "Default_Organization",
                 "created" => "2020-09-17T19:28:41+0000",
                 "updated" => "2020-09-30T10:21:58+0000",
           "lastRefreshed" => "2020-09-30T10:21:58+0000",
                "virt_who" => true,
        "upstreamConsumer" => {
              "name" => "robottelo-automation",
              "uuid" => "052277c1-82f6-4adb-a7f4-d56a35e0d8c7",
            "webUrl" => "access.redhat.com/management/subscription_allocations/"
        }
    },
    "default_content_view_id" => 1,
                 "library_id" => 1
}
[DEBUG 2020-09-30T06:29:21 API] Response headers: {
                                 :date => "Wed, 30 Sep 2020 10:29:20 GMT",
                               :server => "Apache",
                      :foreman_version => "2.1.2.12",
                  :foreman_api_version => "2",
         :foreman_current_organization => "; ANY",
             :foreman_current_location => "; ANY",
                         :content_type => "application/json; charset=utf-8",
                      :apipie_checksum => "9b08ee058ceffa1b4159bae63c837f43951decfe",
                                 :etag => "W/\"ffaa690391eb835eac7f216e11d97d81-gzip\"",
                        :cache_control => "max-age=0, private, must-revalidate",
                         :x_request_id => "0542b9dd-88bb-4c78-8b1e-c0f999d8bc60",
                            :x_runtime => "0.404143",
            :strict_transport_security => "max-age=631139040; includeSubdomains",
                      :x_frame_options => "sameorigin",
               :x_content_type_options => "nosniff",
                     :x_xss_protection => "1; mode=block",
                   :x_download_options => "noopen",
    :x_permitted_cross_domain_policies => "none",
              :content_security_policy => "default-src 'self'; child-src 'self'; connect-src 'self' ws: wss:; img-src 'self' data:; script-src 'unsafe-eval' 'unsafe-inline' 'self'; style-src 'unsafe-inline' 'self'",
                           :set_cookie => [
        [0] "_session_id=df5de52b5dd2793c5636241a0604ede0; path=/; secure; HttpOnly; SameSite=Lax"
    ],
                                  :via => "1.1 <fqdn>",
                                 :vary => "Accept-Encoding",
                     :content_encoding => "gzip",
                       :content_length => "2565"
}
[ INFO 2020-09-30T06:29:21 API] Server: https://<fqdn>
[ INFO 2020-09-30T06:29:21 API] PUT /katello/api/organizations/1
[DEBUG 2020-09-30T06:29:21 API] Params: {
    "organization" => {
        "provisioning_template_ids" => [
            [  0] "43",
            [  1] "28",
            [  2] "10",
            [  3] "59",
            [  4] "60",
            [  5] "61",
            [  6] "62",
            [  7] "44",
            [  8] "45",
            [  9] "36",
            [ 10] "11",
            [ 11] "101",
            [ 12] "46",
            [ 13] "63",
            [ 14] "64",
            ...
        ]
    }
}
[DEBUG 2020-09-30T06:29:21 API] Headers: {}
[DEBUG 2020-09-30T06:29:21 API] Using authenticator: HammerCLIForeman::Api::InteractiveBasicAuth
[DEBUG 2020-09-30T06:29:21 API] Response: {
          "select_all_types" => [],
               "description" => nil,
                "created_at" => "2020-09-17 19:28:35 UTC",
                "updated_at" => "2020-09-30 10:22:17 UTC",
                  "ancestry" => nil,
                 "parent_id" => nil,
               "parent_name" => nil,
                        "id" => 1,
                      "name" => "Default Organization",
                     "title" => "Default Organization",
                     "users" => [
        [0] {
                     "id" => 4,
                  "login" => "admin",
            "description" => nil,
              "inherited" => false
        },
        ...
    ],
             "smart_proxies" => [
        [0] {
                 "name" => "<fqdn>",
                   "id" => 1,
                  "url" => "https://<fqdn>:9090",
            "inherited" => false
        }
    ],
                   "subnets" => [],
         "compute_resources" => [],
                     "media" => [
        [ 0] {
                   "id" => 1,
                 "name" => "CentOS 7 mirror",
            "inherited" => false
        },
        ...
    ],
                   "ptables" => [
        [ 0] {
            "description" => nil,
              "os_family" => "Suse",
             "created_at" => "2020-09-17 19:28:38 UTC",
             "updated_at" => "2020-09-17 19:28:38 UTC",
                   "name" => "AutoYaST entire SCSI disk",
                     "id" => 106,
              "inherited" => false
        },
        ...
    ],
    "provisioning_templates" => [
        [  0] {
                            "id" => 43,
                          "name" => "Alterator default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  1] {
                            "id" => 28,
                          "name" => "Alterator default finish",
              "template_kind_id" => 7,
            "template_kind_name" => "finish",
                     "inherited" => false
        },
        [  2] {
                            "id" => 10,
                          "name" => "Alterator default PXELinux",
              "template_kind_id" => 2,
            "template_kind_name" => "PXELinux",
                     "inherited" => false
        },
        [  3] {
                            "id" => 59,
                          "name" => "alterator_pkglist",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  4] {
                            "id" => 60,
                          "name" => "ansible_provisioning_callback",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  5] {
                            "id" => 61,
                          "name" => "ansible_tower_callback_script",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  6] {
                            "id" => 62,
                          "name" => "ansible_tower_callback_service",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
        [  7] {
                            "id" => 44,
                          "name" => "Atomic Kickstart default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  8] {
                            "id" => 45,
                          "name" => "AutoYaST default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [  9] {
                            "id" => 36,
                          "name" => "AutoYaST default iPXE",
              "template_kind_id" => 5,
            "template_kind_name" => "iPXE",
                     "inherited" => false
        },
        [ 10] {
                            "id" => 11,
                          "name" => "AutoYaST default PXELinux",
              "template_kind_id" => 2,
            "template_kind_name" => "PXELinux",
                     "inherited" => false
        },
        [ 11] {
                            "id" => 101,
                          "name" => "AutoYaST default user data",
              "template_kind_id" => 9,
            "template_kind_name" => "user_data",
                     "inherited" => false
        },
        [ 12] {
                            "id" => 46,
                          "name" => "AutoYaST SLES default",
              "template_kind_id" => 6,
            "template_kind_name" => "provision",
                     "inherited" => false
        },
        [ 13] {
                            "id" => 63,
                          "name" => "blacklist_kernel_modules",
              "template_kind_id" => nil,
            "template_kind_name" => nil,
                     "inherited" => false
        },
,...
    ],
                   "domains" => [
        [0] {
                   "id" => 1,
                 "name" => "vms.sat.rdu2.redhat.com",
            "inherited" => false
        }
    ],
                    "realms" => [],
              "environments" => [
        [0] {
                 "name" => "production",
                   "id" => 1,
            "inherited" => false
        }
    ],
                "hostgroups" => [],
                 "locations" => [
        [0] {
                     "id" => 2,
                   "name" => "Default Location",
                  "title" => "Default Location",
            "description" => nil
        }
    ],
               "hosts_count" => 2,
                "parameters" => []
}
[DEBUG 2020-09-30T06:29:21 API] Response headers: {
                                 :date => "Wed, 30 Sep 2020 10:29:21 GMT",
                               :server => "Apache",
                      :foreman_version => "2.1.2.12",
                  :foreman_api_version => "2",
         :foreman_current_organization => "; ANY",
             :foreman_current_location => "; ANY",
                         :content_type => "application/json; charset=utf-8",
                      :apipie_checksum => "9b08ee058ceffa1b4159bae63c837f43951decfe",
                                 :etag => "W/\"98710518efa64ee34a6eab6e44ea9c44-gzip\"",
                        :cache_control => "max-age=0, private, must-revalidate",
                         :x_request_id => "64e95bb4-8f99-42a1-a568-457645677545",
                            :x_runtime => "0.349817",
            :strict_transport_security => "max-age=631139040; includeSubdomains",
                      :x_frame_options => "sameorigin",
               :x_content_type_options => "nosniff",
                     :x_xss_protection => "1; mode=block",
                   :x_download_options => "noopen",
    :x_permitted_cross_domain_policies => "none",
              :content_security_policy => "default-src 'self'; child-src 'self'; connect-src 'self' ws: wss:; img-src 'self' data:; script-src 'unsafe-eval' 'unsafe-inline' 'self'; style-src 'unsafe-inline' 'self'",
                           :set_cookie => [
        [0] "_session_id=543f7c1328c6b5989fa88e1cab6eb0e1; path=/; secure; HttpOnly; SameSite=Lax"
    ],
                                  :via => "1.1 <fqdn>",
                                 :vary => "Accept-Encoding",
                     :content_encoding => "gzip",
                       :content_length => "2191"
}
The provisioning templates were associated.

Comment 13 errata-xmlrpc 2020-10-27 13:03:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.